QGIS Application - Feature request #6216

User should be able to ignore OGRs evaluation of LDID in Shapes or choose layer-based encoding
or LDID evaluation

2012-08-17 01:14 AM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15529
Description

jefs LDID hotfix for #5911 works as expected.

Anyway a layer-based solution should be prefered. Still creating a QGIS-project with set to ignore shape encoding will be broken when
opening this project once without having set this option (e.g. on a second pc. See commit:75dc85b4d).

For backwards compatibility SHAPE_ENCODING should be set to " as default for known behavior and (let's say it positive) LDID
encoding auto-detection can be turned on by activating a checkbox. Anyway the auto-detection of shape encoding (evaluating LDID) is a
layer-based thing and should not be set by a global environment variable.

I'd prefer a layer-based solution like when opening the "open vector layer" dialog Encoding is set to "OGR autodetect" as default and any
other value will set the encoding as chosen by the user. <provider encoding="auto">ogr</provider> in qgs-file could be a solution. Of
course this can only be done if OGR provides a way of accessing Shapes including a optional parameter for handling of LDID information
or ignoring it.

Related issues:
Duplicated by QGIS Application - Bug report # 6500: Language Encoding very br... Closed 2012-10-11

History

#1 - 2012-10-06 02:20 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2014-11-04 12:15 PM - Marco Lechner

- Status changed from Open to Closed

fixed in general encoding handling since years
